path: /build/build/websocketpp-dev-cpp-0.8.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-cpp/websocketpp -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-cpp/websocketpp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/websocketpp && luet-portage --dir /pkgdir/websocketpp
    dev-cpp/websocketpp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fa06d4c33f0a281218520be033a99a376042ae36bebedd270e25a6f3eb754b94
  package:
    name: websocketpp
    version: 0.8.2
    category: dev-cpp
    use_flags:
    - -test
    requires:
    - name: nlohmann_json
      version: '>=0'
      category: dev-cpp
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C++/Boost Asio based websocket client/server library
    uri:
    - https://www.zaphoyd.com/websocketpp
    license: BSD
    buildtimestamp: 2023-10-03 13:32:32.736543145 +0000 UTC m=+73.010812072
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: test? ( dev-libs/boost )
      IUSE: examples test
      RDEPEND: dev-libs/boost
      emerge.packages: dev-cpp/websocketpp
      kit: dev-kit
      original.package.name: dev-cpp/websocketpp
      original.package.slot: "0"
      original.package.version: 0.8.2
    treedir: /build/packages
  package_dir: /pkgdir/websocketpp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e6efc835186ed32d2c18d5b18b13676ec543ec606fcd1a5b11a1eb2d01133aef
compressiontype: zstd
files:
- usr/include/websocketpp/base64/base64.hpp
- usr/include/websocketpp/client.hpp
- usr/include/websocketpp/close.hpp
- usr/include/websocketpp/common/asio.hpp
- usr/include/websocketpp/common/asio_ssl.hpp
- usr/include/websocketpp/common/chrono.hpp
- usr/include/websocketpp/common/connection_hdl.hpp
- usr/include/websocketpp/common/cpp11.hpp
- usr/include/websocketpp/common/functional.hpp
- usr/include/websocketpp/common/md5.hpp
- usr/include/websocketpp/common/memory.hpp
- usr/include/websocketpp/common/network.hpp
- usr/include/websocketpp/common/platforms.hpp
- usr/include/websocketpp/common/random.hpp
- usr/include/websocketpp/common/regex.hpp
- usr/include/websocketpp/common/stdint.hpp
- usr/include/websocketpp/common/system_error.hpp
- usr/include/websocketpp/common/thread.hpp
- usr/include/websocketpp/common/time.hpp
- usr/include/websocketpp/common/type_traits.hpp
- usr/include/websocketpp/concurrency/basic.hpp
- usr/include/websocketpp/concurrency/none.hpp
- usr/include/websocketpp/config/asio.hpp
- usr/include/websocketpp/config/asio_client.hpp
- usr/include/websocketpp/config/asio_no_tls.hpp
- usr/include/websocketpp/config/asio_no_tls_client.hpp
- usr/include/websocketpp/config/boost_config.hpp
- usr/include/websocketpp/config/core.hpp
- usr/include/websocketpp/config/core_client.hpp
- usr/include/websocketpp/config/debug.hpp
- usr/include/websocketpp/config/debug_asio.hpp
- usr/include/websocketpp/config/debug_asio_no_tls.hpp
- usr/include/websocketpp/config/minimal_client.hpp
- usr/include/websocketpp/config/minimal_server.hpp
- usr/include/websocketpp/connection.hpp
- usr/include/websocketpp/connection_base.hpp
- usr/include/websocketpp/endpoint.hpp
- usr/include/websocketpp/endpoint_base.hpp
- usr/include/websocketpp/error.hpp
- usr/include/websocketpp/extensions/extension.hpp
- usr/include/websocketpp/extensions/permessage_deflate/disabled.hpp
- usr/include/websocketpp/extensions/permessage_deflate/enabled.hpp
- usr/include/websocketpp/frame.hpp
- usr/include/websocketpp/http/constants.hpp
- usr/include/websocketpp/http/impl/parser.hpp
- usr/include/websocketpp/http/impl/request.hpp
- usr/include/websocketpp/http/impl/response.hpp
- usr/include/websocketpp/http/parser.hpp
- usr/include/websocketpp/http/request.hpp
- usr/include/websocketpp/http/response.hpp
- usr/include/websocketpp/impl/connection_impl.hpp
- usr/include/websocketpp/impl/endpoint_impl.hpp
- usr/include/websocketpp/impl/utilities_impl.hpp
- usr/include/websocketpp/logger/basic.hpp
- usr/include/websocketpp/logger/levels.hpp
- usr/include/websocketpp/logger/stub.hpp
- usr/include/websocketpp/logger/syslog.hpp
- usr/include/websocketpp/message_buffer/alloc.hpp
- usr/include/websocketpp/message_buffer/message.hpp
- usr/include/websocketpp/message_buffer/pool.hpp
- usr/include/websocketpp/processors/base.hpp
- usr/include/websocketpp/processors/hybi00.hpp
- usr/include/websocketpp/processors/hybi07.hpp
- usr/include/websocketpp/processors/hybi08.hpp
- usr/include/websocketpp/processors/hybi13.hpp
- usr/include/websocketpp/processors/processor.hpp
- usr/include/websocketpp/random/none.hpp
- usr/include/websocketpp/random/random_device.hpp
- usr/include/websocketpp/roles/client_endpoint.hpp
- usr/include/websocketpp/roles/server_endpoint.hpp
- usr/include/websocketpp/server.hpp
- usr/include/websocketpp/sha1/sha1.hpp
- usr/include/websocketpp/transport/asio/base.hpp
- usr/include/websocketpp/transport/asio/connection.hpp
- usr/include/websocketpp/transport/asio/endpoint.hpp
- usr/include/websocketpp/transport/asio/security/base.hpp
- usr/include/websocketpp/transport/asio/security/none.hpp
- usr/include/websocketpp/transport/asio/security/tls.hpp
- usr/include/websocketpp/transport/base/connection.hpp
- usr/include/websocketpp/transport/base/endpoint.hpp
- usr/include/websocketpp/transport/debug/base.hpp
- usr/include/websocketpp/transport/debug/connection.hpp
- usr/include/websocketpp/transport/debug/endpoint.hpp
- usr/include/websocketpp/transport/iostream/base.hpp
- usr/include/websocketpp/transport/iostream/connection.hpp
- usr/include/websocketpp/transport/iostream/endpoint.hpp
- usr/include/websocketpp/transport/stub/base.hpp
- usr/include/websocketpp/transport/stub/connection.hpp
- usr/include/websocketpp/transport/stub/endpoint.hpp
- usr/include/websocketpp/uri.hpp
- usr/include/websocketpp/utf8_validator.hpp
- usr/include/websocketpp/utilities.hpp
- usr/include/websocketpp/version.hpp
- usr/lib64/cmake/websocketpp/websocketpp-config.cmake
- usr/lib64/cmake/websocketpp/websocketpp-configVersion.cmake
- var/db/pkg/dev-cpp/websocketpp-0.8.2/BDEPEND
- var/db/pkg/dev-cpp/websocketpp-0.8.2/BUILD_TIME
- var/db/pkg/dev-cpp/websocketpp-0.8.2/CATEGORY
- var/db/pkg/dev-cpp/websocketpp-0.8.2/CBUILD
- var/db/pkg/dev-cpp/websocketpp-0.8.2/CFLAGS
- var/db/pkg/dev-cpp/websocketpp-0.8.2/CHOST
- var/db/pkg/dev-cpp/websocketpp-0.8.2/CONTENTS
- var/db/pkg/dev-cpp/websocketpp-0.8.2/COUNTER
- var/db/pkg/dev-cpp/websocketpp-0.8.2/CXXFLAGS
- var/db/pkg/dev-cpp/websocketpp-0.8.2/DEFINED_PHASES
- var/db/pkg/dev-cpp/websocketpp-0.8.2/DESCRIPTION
- var/db/pkg/dev-cpp/websocketpp-0.8.2/EAPI
- var/db/pkg/dev-cpp/websocketpp-0.8.2/FEATURES
- var/db/pkg/dev-cpp/websocketpp-0.8.2/HOMEPAGE
- var/db/pkg/dev-cpp/websocketpp-0.8.2/INHERITED
- var/db/pkg/dev-cpp/websocketpp-0.8.2/IUSE
- var/db/pkg/dev-cpp/websocketpp-0.8.2/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/websocketpp-0.8.2/KEYWORDS
- var/db/pkg/dev-cpp/websocketpp-0.8.2/LDFLAGS
- var/db/pkg/dev-cpp/websocketpp-0.8.2/LICENSE
- var/db/pkg/dev-cpp/websocketpp-0.8.2/PF
- var/db/pkg/dev-cpp/websocketpp-0.8.2/RDEPEND
- var/db/pkg/dev-cpp/websocketpp-0.8.2/RESTRICT
- var/db/pkg/dev-cpp/websocketpp-0.8.2/SIZE
- var/db/pkg/dev-cpp/websocketpp-0.8.2/SLOT
- var/db/pkg/dev-cpp/websocketpp-0.8.2/USE
- var/db/pkg/dev-cpp/websocketpp-0.8.2/environment.bz2
- var/db/pkg/dev-cpp/websocketpp-0.8.2/repository
- var/db/pkg/dev-cpp/websocketpp-0.8.2/websocketpp-0.8.2.ebuild
package_cacheimage: ""
runtime:
  name: websocketpp
  version: 0.8.2
  category: dev-cpp
  use_flags:
  - -test
  requires:
  - name: boost
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C++/Boost Asio based websocket client/server library
  uri:
  - https://www.zaphoyd.com/websocketpp
  license: BSD
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: test? ( dev-libs/boost )
    IUSE: examples test
    RDEPEND: dev-libs/boost
    emerge.packages: dev-cpp/websocketpp
    kit: dev-kit
    original.package.name: dev-cpp/websocketpp
    original.package.slot: "0"
    original.package.version: 0.8.2
